### Function

# Secret Item new_for_dbus_path

#### Declaration [src]

    void
    secret_item_new_for_dbus_path (
      SecretService* service,
      const gchar* item_path,
      SecretItemFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get a new item proxy for a secret item in the secret service.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

This method will return immediately and complete asynchronously.

Stability: Unstable

This function completes asynchronously. Use `secret_item_new_for_dbus_path_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

This function is not directly available to language bindings.

#### Parameters

`service`

  Type: `SecretService`

  A secret service object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`item_path`

  Type: `const gchar*`

  The D-Bus path of the collection.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `SecretItemFlags`

  Initialization flags for the new item.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.